Name:           foremost
Version:        1.5.2
Release:        2%{?dist}
Summary:        Recover files by "carving" them from a raw disk

Group:          Applications/File
License:        Public Domain
URL:            http://foremost.sf.net
Source0:        http://foremost.sourceforge.net/pkg/%{name}-%{version}.tar.gz
Patch0:         foremost-1.5-warnings.patch
Patch1:         foremost-1.5-vargs.patch
# Upstream appears to not be using the sourceforge file release mechanism
# Source0: http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Foremost recovers files files based on their headers, footers, and internal
data structures. This process is commonly referred to as data carving.
Foremost can work on a raw disk drive or image file generated by dd.  The
headers and footers can be specified by a configuration file or you can use
command line switches to specify built-in file types. These built-in types
look at the data structures of a given file format allowing for a more
reliable and faster recovery.

%prep
%setup -q
%patch0 -p1 -b .warn
%patch1 -p1 -b .vargs

sed -i 's!/usr/local/etc/foremost.conf!%{_sysconfdir}/foremost.conf!' config.c
sed -i 's/^RAW_FLAGS =.*/RAW_FLAGS = %{optflags}/' Makefile

%build
make %{?_smp_mflags} CONF=%{_sysconfdir}

%install
rm -rf $RPM_BUILD_ROOT
chmod 0644 *
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
make install BIN=$RPM_BUILD_ROOT%{_bindir} MAN=$RPM_BUILD_ROOT%{_mandir}/man1 \
    CONF=$RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README CHANGES
%{_bindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/foremost.conf

%changelog
* Tue Dec 04 2007 Toshio Kuratomi <a.badger@gmail.com> - 1.5.2-2
- Fix segfault reported in RH BZ#356241.

* Mon Nov 26 2007 Paul W. Frields <stickster@gmail.com> - 1.5.2-1
- Update to 1.5.2 on foremost.sf.net

* Mon Aug 20 2007 Toshio Kuratomi <a.badger@gmail.com> 1.5-1
- Update to the 1.5 on foremost.sf.net.
- Make license information correspond with the new guidelines.

* Mon Sep 04 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.3-0.1.20060826
- Update to the 1.3 on foremost.sf.net.
- Rebuild for FC6.

* Mon Feb 13 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.1-1.1.20060128
- Note on upstream's "beta" system to keep future maintainers out of trouble.
- Rebuild for the FC5 push.
  
* Sat Jan 28 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.1-1
- Upgrade to 1.1.
- Rework the config patch as a sed replacement.

* Thu Sep 29 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0-4
- Fix permissions on installed foremost.conf file.

* Thu Sep 29 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0-3
- Reenable the install of foremost.conf as the program complains without it.
- Patch to fix the location of foremost.conf.
 
* Tue Sep 13 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0-2
- New foremost has been released with multi-disk image support and my
  gcc4 warning fixes.
- Upstream isn't versioning their tarballs.  Made a note of the present
  MD5Sum to make it easier to compare against upstream's and tell when
  they've updated their tarball.
 
* Sat Aug 27 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 1.0-1
- Initial version for Fedora Extras.
